/**
 * \file: koord.cpp
 *
 * Koord segédobjektum megvalósítása
 *
 */

#include "koord.h"

/// Adott iránynak megfelelően lépve új pozíciót ad
/// @param ir - irány
/// @return új pozició
Koord Koord::lep(Irany ir) const {
    switch(ir) {
        case fel:
            return Koord(i-1,j);
            break;

        case le:
            return Koord(i+1,j);
            break;

        case balra:
            return Koord(i,j-1);
            break;

        case jobbra:
            return Koord(i,j+1);
            break;
    }
    return *this;
}
