/**
 *\file: main.cpp
 *
 * Főprogram az előadáson bemutatott generikus lista kipróbálásához
 */

#include <iostream>
#include <cstring>
#include "generikus_lista.hpp" // sablonok

using namespace std;

template<>
bool Lista<const char*>::hasonlit(const char* s1, const char*s2) {// spec.
	return(strcmp(s1, s2) < 0);
}

int main()
{
	Lista<int> L;       	    // int lista
	Lista<double> Ld; 	        // double lista
	Lista<const char*> Ls;  	// char* lista
	L.beszur(1); L.beszur(19);  L.beszur(-41);
	Ls.beszur("Alma"); Ls.beszur("Hello"); Ls.beszur("Aladar");
	int x;
	while (L.kovetkezo(x))
	  	cout << x << endl;
	const char *s;
	while (Ls.kovetkezo(s))
        cout << s << endl;
    return 0;
}
